<?
define("OP_GET_STATE", "50");
define("OP_GET_PART_NUMBER","52");
define("OP_GET_VERSION", "58");
define("OP_GET_DSP", "59");
define("OP_GET_SERIAL_NUMBER", "63");
define("OP_GET_MANUFACTURING_DATE", "65");
define("OP_GET_TIME", "70");
define("OP_SET_TIME", "71");
define("OP_GET_FIRMWARE_VERSION", "72");
define("OP_GET_LAST_10_SEC_ENERGY", "76");
define("OP_GET_CONFIGURATION", "77");
define("OP_GET_CUMULATED_ENERGY", "78");
define("OP_GET_COUNTERS", "80");
define("OP_GET_LAST_4_ALARMS", "86");

define("CUMULATED_DAILY", "0");
define("CUMULATED_WEEKLY", "1");
define("CUMULATED_MONTHLY", "3");
define("CUMULATED_YEARLY", "4");
define("CUMULATED_TOTAL", "5");
define("CUMULATED_PARTIAL", "6");

define("DSP_GRID_VOLTAGE", "1");   								// GridVoltage(Global)
define("DSP_GRID_CURRENT", "2");  								// GridCurrent(Global)
define("DSP_GRID_POWER", "3");   								// GridPower(Global)
define("DSP_FREQUENCY","4");   									// Frequency
define("DSP_VBULK", "5");   										// VBulk
define("DSP_ILEAK_DCDC","6");   									// Ileak(Dc/Dc)
define("DSP_ILEAK_INVERTER", "7");   								// Ileak(Inverter)
define("DSP_PIN_1","8");   										// Pin1(Global)
define("DSP_PIN_2", "9");   										// Pin2
define("DSP_INVERTER_TEMPERATURE", "21");   						// InverterTemperature
define("DSP_BOOSTER_TEMPERATURE", "22");   	 					// BoosterTemperature
define("DSP_INPUT_1_VOLTAGE", "23");   							// Input1Voltage
define("DSP_INPUT_1_CURRENT", "25");   							// Input1Current
define("DSP_INPUT_2_VOLTAGE", "26");   							// Input2Voltage
define("DSP_INPUT_2_CURRENT", "27");   							// Input2Current
define("DSP_GRID_VOLTAGE_DCDC", "28");   							// GridVoltage(Dc/Dc)
define("DSP_GRID_FREQUENCY_DCDC", "29");   						// GridFrequency(Dc/Dc)
define("DSP_ISOLATION_RESISTANCE", "30");   						// IsolationResistance(Riso)
define("DSP_VBULK_DCDC", "31");   								// Vbulk(Dc/Dc)
define("DSP_AVERAGE_GRID_VOLTAGE", "32");   						// AverageGridVoltage(VgridAvg)
define("DSP_VBULK_MID", "33");   									// VbulkMid
define("DSP_POWER_PEAK", "34");   								// PowerPeak
define("DSP_POWER_PEAK_TODAY", "35");   							// PowerPeakToday
define("DSP_GRID_VOLTAGE_NEUTRAL", "36");   						// GridVoltageneutral
define("DSP_WIND_GENERATOR_FREQUENCY", "37");   					// WindGeneratorFrequency
define("DSP_GRID_VOLTAGE_NEUTRAL_PHASE", "38");   				// GridVoltageneutral-phase
define("DSP_GRID_CURRENT_PHASE_R",  "39");   						// GridCurrentphaser
define("DSP_GRID_CURRENT_PHASE_S", "40");   						// GridCurrentphases
define("DSP_GRID_CURRENT_PHASE_T", "41");   						// GridCurrentphaset
define("DSP_FREQUENCY_PHASE_R", "42");   							// Frequencyphaser
define("DSP_FREQUENCY_PHASE_S", "43");   							// Frequencyphases
define("DSP_FREQUENCY_PHASE_T", "44");   							// Frequencyphaset
define("DSP_VBULK_POSITIVE", "45");   							// Vbulk+
define("DSP_VBULK_NEGATIVE", "46");   							// Vbulk-
define("DSP_SUPERVISOR_TEMPERATURE", "47");   					// SupervisorTemperature
define("DSP_ALIM_TEMPERATURE", "48");   							// AlimTemperature
define("DSP_HEAT_SINK_TEMPERATURE", "49");   						// HeatSinkTemperature
define("DSP_TEMPERATURE_1", "50");   								// Temperature1
define("DSP_TEMPERATURE_2",  "51");   								// Temperature2
define("DSP_TEMPERATURE_3", "52");   								// Temperature3
define("DSP_FAN_1_SPEED", "53");   								// Fan1Speed
define("DSP_FAN_2_SPEED", "54");   								// Fan2Speed
define("DSP_FAN_3_SPEED", "55");   								// Fan3Speed
define("DSP_FAN_4_SPEED", "56");   								// Fan4Speed
define("DSP_FAN_5_SPEED", "57");   								// Fan5Speed
define("DSP_POWER_SATURATION_LIMIT", "58");   					// PowerSaturationLimit(Der.)
define("DSP_RIFERIMENTO_ANELLO_BULK", "59");   					// RefeimentoAnelloBulk
define("DSP_VPANEL_MICRO", "60");   								// Vpanelmicro
define("DSP_GRID_VOLTAGE_PHASE_R", "61");   						// GridVoltagephaser
define("DSP_GRID_VOLTAGE_PHASE_S", "62");   						// GridVoltagephases
define("DSP_GRID_VOLTAGE_PHASE_T", "63");   						// GridVoltagephaset

define("COUNTER_TOTAL", "0");
define("COUNTER_PARTIAL", "1");
define("COUNTER_GRID", "2");
define("COUNTER_RESET", "3");
?>
